Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.model.portal.command
Class PortalObjectCommand

    java.lang.Object
      org.jboss.portal.common.invocation.Invocation
          org.jboss.portal.core.controller.ControllerCommand
              org.jboss.portal.core.model.portal.command.PortalObjectCommand

Direct Known Subclasses:
  ContextCommand, PortalCommand

    public abstract class PortalObjectCommand

extends ControllerCommand

Version:
  $Revision: 10553 $
Author:
  Julien Viet

Field Summary
`protected boolean` | `dashboard` .
`protected PortalObject` | `target` .
`protected PortalObjectId` | `targetId` .

Fields inherited from class org.jboss.portal.core.controller.ControllerCommand
`context, log, NAVIGATIONAL_STATE_SCOPE, PRINCIPAL_SCOPE, REQUEST_SCOPE, SESSION_SCOPE`

Fields inherited from class org.jboss.portal.common.invocation.Invocation
`EMPTY_STACK`

Constructor Summary
`protected` | `PortalObjectCommand(PortalObjectId targetId)`

Method Summary
`void` | `acquireResources()`
`void` | `enforceSecurity(PortalAuthorizationManager pam)` Enforce the security on this command using the provided portal authorization manager.
`PortalObject` | `getTarget()` Return the target portal object of this command.
`PortalObjectId` | `getTargetId()`
`boolean` | `isDashboard()` Return true if the command is in a dashboard context.

Methods inherited from class org.jboss.portal.core.controller.ControllerCommand
`create, createContext, destroy, destroyContext, execute, getContext, getControllerContext, getInfo, releaseResources, rethrow`

Methods inherited from class org.jboss.portal.common.invocation.Invocation
`getAttribute, getHandler, invoke, invokeNext, removeAttribute, setAttribute, setHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### targetId

    protected final PortalObjectId targetId

  .

### target

    protected PortalObject target

  .

### dashboard

    protected boolean dashboard

  .

Constructor Detail

### PortalObjectCommand

    protected PortalObjectCommand(PortalObjectId targetId)

Method Detail

### getTargetId

    public final PortalObjectId getTargetId()

### acquireResources

    public void acquireResources()
                          throws NoSuchResourceException

  Overrides:
    `acquireResources` in class `ControllerCommand`
  Throws:
    `NoSuchResourceException`

### enforceSecurity

    public void enforceSecurity(PortalAuthorizationManager pam)
                         throws SecurityException

  Enforce the security on this command using the provided portal authorization manager.

  Overrides:
    `enforceSecurity` in class `ControllerCommand`
  Parameters:
    `pam` - the portal authorization manager
  Throws:
    `SecurityException` - if the access is not granted

### getTarget

    public final PortalObject getTarget()

  Return the target portal object of this command.

  Returns:
    the target portal object

### isDashboard

    public boolean isDashboard()

  Return true if the command is in a dashboard context.

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD